/*
 * Aipo is a groupware program developed by Aimluck,Inc.
 * Copyright (C) 2004-2008 Aimluck,Inc.
 * http://aipostyle.com/
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
package com.aimluck.eip.document;

import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.Serializable;

import com.aimluck.commons.field.ALStringField;
import com.aimluck.commons.field.ALNumberField;
import com.aimluck.eip.common.*;

/**
 * グループを表すクラスです。 <br />
 * 
 */
public class DocumentFileRelationMap implements ALData, Serializable {

  /** ID */
  private ALNumberField ID;

  /** ファイル名 */
  private ALStringField file_name;

  public DocumentFileRelationMap() {
  }

  /**
   * 
   * @see com.aimluck.eip.common.ALData#initField()
   */
  public void initField() {
    ID = new ALNumberField();
    file_name = new ALStringField();
  }

  /**
   * 
   * @param in
   * @throws IOException
   * @throws ClassNotFoundException
   */
  private void readObject(ObjectInputStream in) throws IOException,
      ClassNotFoundException {
    initField();
    in.defaultReadObject();
  }

  /**
   * 
   * @param i
   */
  public void setFileID(int i) {
    ID.setValue(i);
  }

  /**
   * 
   * @param string
   */
  public void setFileName(String string) {
    file_name.setValue(string);
  }

  /**
   * 
   * @return
   */
  public ALNumberField getFileID() {
    return ID;
  }

  /**
   * 
   * @return
   */
  public ALStringField getFileName() {
    return file_name;
  }

}
